function getAllPosts() {
	return new Promise((resolve, reject) => {
		let postsArr = [];
		function recursiveAPICall(apiURL) {
			FB.api(apiURL, response => {
				if (response && response.data) {
					postsArr = postsArr.concat(response.data);
					if (response.paging && response.paging.next) {
						recursiveAPICall(response.paging.next);
					} else {
						resolve(postsArr);
					}
				} else {
					reject();
				}
			})
		}
		recursiveAPICall('/me/posts?fields=created_time&limit=100');
	});
}

export default new Promise((resolve) => {
  window.fbAsyncInit = function() {
	FB.init({
	  appId	  : 'Put your Facebook App ID here',
	  xfbml	  : true,
	  version	: 'v2.9'
	});
	FB.AppEvents.logPageView();
	$(() => {
		$("#authorize").click(() => {
			FB.login(function() {
				$("#authorize").hide();
				$("#loading").show();
				getAllPosts().then(response => {
					resolve(response);
				}).catch(e => {
					console.log(e);
				});
			}, {scope: 'user_posts'});
		});
	});
  };
});