import getApp from './qApp';
import qSessionObject from './qSessionObject';
import Filter from './filter';
import HeatMap from './heatmap';

let yearList = new qSessionObject({
  qInfo: {
      qType: "list"
    },
    qListObjectDef: {
      qDef: {
        qFieldDefs: ['created.autoCalendar.Year'],
        qFieldLabels: ['Year']
      },
      qShowAlternatives: true,
      qInitialDataFetch: [{
        qWidth: 1,
        qHeight: 20
      }]
    }
});
let monthList = new qSessionObject({
  qInfo: {
      qType: "list"
    },
    qListObjectDef: {
      qDef: {
        qFieldDefs: ['created.autoCalendar.Month'],
        qFieldLabels: ['Month']
      },
      qShowAlternatives: true,
      qInitialDataFetch: [{
        qWidth: 1,
        qHeight: 12
      }]
    }
});
let dataCube = new qSessionObject({
  qInfo: {
      qType: "visualization",
    },
    qHyperCubeDef: {
      qDimensions: [{
        qDef: {
          qFieldDefs: ["Day"],
        }
      }, {
        qDef: {
          qFieldDefs: ["Hour"],
        }
      }],
      qMeasures: [{
        qDef: {
          qDef: "count(created)"
        }
      }],
      qInitialDataFetch: [{
        qWidth: 3,
        qHeight: 3000
      }]
    }
});

$(() => {
  let yearFilter = new Filter(yearList, "#year-filter");
  let monthFilter = new Filter(monthList, "#month-filter");
  let heatMap = new HeatMap(dataCube,  "#heat-map");
  Promise.all([yearList.open(), monthList.open(), dataCube.open()]).then(() => {
    yearFilter.init();
    monthFilter.init();
    heatMap.init();
    $("#loading").hide();
    $("#app").show();
  });
});
